wrong regulax expression check for MAC addresses can lead to strange errors
Status: Closed   

Priority: Normal   
Pull request:    

Description

Unable to save

Failed to set TFTP: Invalid MAC address: 00:11:22:33:44:55:66

Failed to perform rollback on DHCP Settings for R310-lv-1.prod.domain.net - undefined method `destroy' for nil:NilClass

Failed to perform rollback on DNS record for R310-lv-1.prod.domain.net - undefined method `destroy' for nil:NilClass

Failed to perform rollback on Reverse DNS record for R310-lv-1.prod.domain.net - undefined method `destroy' for nil:NilClass

Unable to save

Failed to set TFTP: TFTP: Failed to create pxe config file: Permission denied - /var/lib/tftpboot/pxelinux.cfg

Failed to perform rollback on DHCP Settings for R310-lv-1.prod.domain.net - undefined method `destroy' for nil:NilClass

Failed to perform rollback on DNS record for R310-lv-1.prod.domain.net - undefined method `destroy' for nil:NilClass

Failed to perform rollback on Reverse DNS record for R310-lv-1.prod.domain.net - undefined method `destroy' for nil:NilClass

foreman.log:

Processing HostsController#create (for 10.0.2.16 at 2011-10-29 00:55:37) [POST]

Parameters: {"commit"=>"Submit", "action"=>"create", "authenticity_token"=>"TOKEN=", "controller"=>"hosts",

"host"=>{"comment"=>"", "architecture_id"=>"1",

"subnet_id"=>"1", "managed"=>"true", "puppetproxy_id"=>"1", "name"=>"barbaz-lv-1.prod.domain.net",

"puppetmaster_name"=>"foobar-1.prod.domain.net", "mac"=>"38:4b:4b:41:44:4d", "domain_id"=>"1" , "enabled"=>"1", "build"=>"1",

"medium_id"=>"5", "hostgroup_id"=>"1", "ptable_id"=>"1", "ip"=>"10.100.40.1", "environment_id"=>"1", "model_id"=>"", "disk"=>"",

"puppetclass_ids"=>[""], "operatin

gsystem_id"=>"2"}}

Add DNS PTR record for barbaz-lv-1.prod.domain.net/10.100.40.1

Add DNS A record for barbaz-lv-1.prod.domain.net/10.100.40.1

Add the TFTP configuration for barbaz-lv-1.prod.domain.net

Failed to set TFTP: TFTP: Failed to create pxe config file: Permission denied - /var/lib/tftpboot/pxelinux.cfg

Failed to perform rollback on DHCP Settings for barbaz-lv-1.prod.domain.net - undefined method `destroy' for nil:NilClass

Failed to perform rollback on DNS record for barbaz-lv-1.prod.domain.net - undefined method `destroy' for nil:NilClass

Failed to perform rollback on Reverse DNS record for barbaz-lv-1.prod.domain.net - undefined method `destroy' for nil:NilClass

Failed to save: Failed to set TFTP: TFTP: Failed to create pxe config file: Permission denied - /var/lib/tftpboot/pxelinux.cfg, Failed to

perform rollback on DHCP Settings for barbaz-lv-1.prod.mari

nsw.net - undefined method `destroy' for nil:NilClass, Failed to perform rollback on DNS record for barbaz-lv-1.prod.domain.net -

undefined method `destroy' for nil:NilClass, Failed to perform rol

lback on Reverse DNS record for barbaz-lv-1.prod.domain.net - undefined method `destroy' for nil:NilClass

Versions:

foreman-0.4-0.1rc4.noarch

foreman-release-1-1.noarch

foreman-proxy-0.3-0.1rc2.noarch

Associated revisions

Revision e68cee3c - 10/31/2011 10:37 AM - Ohad Levy

fixes #1273 - wrong MAC address regexp

Revision debab3ca - 10/31/2011 10:39 AM - Ohad Levy
fixes #1273 - wrong MAC address regexp, now with the right regexp

Revision f468bf84 - 03/15/2012 03:06 PM - Ohad Levy

improve mac regexp, refs #1273

History

#1 - 10/29/2011 12:46 AM - Ohad Levy

- Status changed from New to Feedback

- Target version deleted (0.4)

Mikael Fridh wrote:

Failed to save: Failed to set TFTP: TFTP: Failed to create pxe config file: Permission denied - /var/lib/tftpboot/pxelinux.cfg,

#2 - 10/30/2011 07:48 PM - Mikael Fridh

Ohad Levy wrote:

Mikael Fridh wrote:

Failed to save: Failed to set TFTP: TFTP: Failed to create pxe config file: Permission denied - /var/lib/tftpboot/pxelinux.cfg,

 

Yes, I provoked an error there. And after that, I had to do a whole bunch of manual cleanup in order to clear everything out of DNS and dhcpd.leases.

I'm thinking perhaps Foreman should clean up... if it can do it in a safe manner.

Failed to perform rollback - undefined method `destroy' for nil:NilClass

 perhaps it's a safety measure?

#3 - 10/31/2011 03:03 AM - Ohad Levy

- Status changed from Feedback to New

Mikael Fridh wrote:

Ohad Levy wrote:

Mikael Fridh wrote:

Failed to save: Failed to set TFTP: TFTP: Failed to create pxe config file: Permission denied - /var/lib/tftpboot/pxelinux.cfg,

 

Yes, I provoked an error there. And after that, I had to do a whole bunch of manual cleanup in order to clear everything out of DNS and

dhcpd.leases.

I'm thinking perhaps Foreman should clean up... if it can do it in a safe manner.

 foreman does do a rollback of everything it changed, but in this case something went wrong... (hence the bug).

#4 - 10/31/2011 04:55 AM - Ohad Levy

- Target version set to 0.4

#5 - 10/31/2011 10:33 AM - Ohad Levy

- Subject changed from Creating Host: undefined method `destroy' for nil:NilClass. Foreman and Foreman-proxy to wrong regulax expression check

for MAC addresses can lead to strange errors

- Assignee set to Ohad Levy

#6 - 10/31/2011 10:37 AM - Ohad Levy

- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset e68cee3c42e7ab61d553f60075557ff28bdd9a1a.
